Get the shot instances of an asset

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/assets/{asset_id}/shot-asset-instances

Get the asset instances of an asset that are in shots.

Path parameters

  • asset_id string(uuid) Required

    Unique identifier of the asset

Responses

  • 200 application/json

    The list of asset instances

    Hide response attributes Show response attributes object
    • id string(uuid)

      Asset instance unique identifier

    • asset_id string(uuid)

      Asset identifier

    • shot_id string(uuid)

      Shot identifier

    • number string

      Instance number

    • description string

      Instance description

  • 403

    You do not have access to this project

  • 404

    The asset does not exist

GET /data/assets/{asset_id}/shot-asset-instances
curl -X GET "http://api.example.com/data/assets/a24a6ea4-ce75-4665-a070-57453082c25/shot-asset-instances" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/assets/a24a6ea4-ce75-4665-a070-57453082c25/shot-asset-instances"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "f79f13f9-1320-9110-f625-029085371700",
    "asset_id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "shot_id": "d57d91d7-f108-7998-d403-80786315f580",
    "number": "001",
    "description": "Main character instance"
  }
]